const CONTRACT_ID = "@mozilla.org/autocomplete/search;1?name=cl-index";
const CLASS_NAME = "URLbar support for bookmarkTools";
const CLASS_ID = Components.ID("{4fa39240-a28a-11de-8a39-0800200c9a66}");

const Cc = Components.classes;
const Ci = Components.interfaces;
const Cr = Components.results;
const Cu = Components.utils;

const HEADER = Cc["@mozilla.org/moz/jssubscript-loader;1"].getService(Ci.mozIJSSubScriptLoader);
const INCLUDE = function(name){
	try {
		HEADER.loadSubScript("chrome://bookmarktools/content/" + name);
	} catch(e){}
};

INCLUDE("bookmarkToolsGlobals.js");

if(BT.Browser.isFirefox())
	INCLUDE("xpcom/xpcomURLBarFirefox.js");
	